#include <stdio.h>

void fail(msg)
char *msg;
{
	fputs(msg, stderr);
	exit(1);
}

int main(argc, argv)
int argc;
char **argv;
{
	int ser;
	char line[512];

	if (argc != 2)
		fail("trimdeltatbl: invalid command line\n");
	ser = atoi(argv[1]);

	gets(line);
	puts(line);
	if (line[0] != '\001' || line[1] != 'h')
		fail("invalid SCCS file\n");
	for (;;) {
		char sline[512], dline[512];
		char dtype;
		int dser;

		gets(sline);
		if (sline[0] != '\001' || sline[1] != 's')
			fail("invalid SCCS file\n");
		gets(dline);
		if (sscanf(dline, "\001d %c %*s %*s %*s %*s %d", &dtype, &dser) < 2)
			fail("invalid SCCS file\n");
		if (ser == dser) {
			puts(sline);
			puts(dline);
			break;
		}
		if (dtype != 'R')
			fail("cannot purge non-removed deltas\n");
		for (;;) {
			gets(line);
			if (line[0] == '\001' && line[1] == 'e')
				break;
		}
	}
	while (gets(line) != NULL)
		puts(line);

	return 0;
}
